
QGIS Application - Bug report #2298

Native QFileDialogs don't remember last filter value

2009-12-19 04:01 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 12358

Description

When opening a raster, the default is now vrt, not the most common file format around; the window does not remember last user's choice,

which is even more annoying. Tiff looks a more reasonable default

History

#1 - 2009-12-19 04:03 AM - Giovanni Manghi

I believe it is a linux only problem, if I'm not wrong under windows tiff is the default.

#2 - 2010-01-26 08:46 AM - Giovanni Manghi

under windows the program uses the last used format when the dialog is open. On linux the dialog opens always with vrt... pretty annoying.

#3 - 2010-04-08 01:18 PM - Giuseppe Sucameli

This seems the same issue of the "Save As" feature.

The QFileDialog doesn't change the selected filter value when user switches between filters.

If it's right, this could be an issue only on Gnome.

Does anybody have the same problem on KDE?

#4 - 2010-04-08 11:46 PM - Borys Jurgiel

Yes, the same problem on KDE. Native QFileDialogs reject the last filter value and select the first options. Non-native QFileDialogs work fine (e.g.

Raster->Contour->Input raster). Seems like Qt bug. There was idea of allowing users to choose between native and non-native QFileDialogs.

#5 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2017-05-01 12:58 AM - Giovanni Manghi

- Regression? set to No

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#10 - 2018-01-29 06:44 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to worksforme

Apparently solved in master, at least on Gnome 3. Please reopen if still true in some DE.
